
Figure - Bug #118155
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试144小时，CRASH: com.android.settings (30)
2023-05-22 18:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 0106

Reproducibility: Rarely Fixed Version: 2023-05-23

Test Type: Monkey Test Root cause: 异常情况下页面上下文丢失导致。

Description

【错误信息】

// CRASH: com.android.settings (pid 8496)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'androidx.fragment.app.FragmentManager

androidx.fragment.app.FragmentActivity.getSupportFragmentManager()' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys

// Build Changelist: 3388

// Build Time: 1684175970000

// java.lang.NullPointerException: Attempt to invoke virtual method 'androidx.fragment.app.FragmentManager

androidx.fragment.app.FragmentActivity.getSupportFragmentManager()' on a null object reference

//     at com.android.settings.deviceinfo.aboutphone.DeviceNameWarningDialog.show(DeviceNameWarningDialog.java:39)

//     at

com.android.settings.deviceinfo.aboutphone.MyDeviceInfoFragment.showDeviceNameWarningDialog(MyDeviceInfoFragment.java:211)

//     at com.android.settings.deviceinfo.DeviceNamePreferenceController.onPreferenceChange(DeviceNamePreferenceController.java:106)

//     at androidx.preference.Preference.callChangeListener(Preference.java:1120)

//     at androidx.preference.EditTextPreferenceDialogFragmentCompat.onDialogClosed(EditTextPreferenceDialogFragmentCompat.java:147)

//     at

com.android.settingslib.CustomEditTextPreferenceCompat$CustomPreferenceDialogFragment.onDialogClosed(CustomEditTextPreferenceC

ompat.java:126)

//     at androidx.preference.PreferenceDialogFragmentCompat.onDismiss(PreferenceDialogFragmentCompat.java:287)

//     at androidx.fragment.app.DialogFragment$3.onDismiss(DialogFragment.java:129)

//     at android.app.Dialog$ListenersHandler.handleMessage(Dialog.java:1408)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 
History

#1 - 2023-05-22 18:55 - CD TEST-方永红

- Parent task set to #113422

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118149-155

#2 - 2023-05-23 19:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202016 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix monkey test crash problem.TC-RID: 1201-0201810IssueID: TS-R-BUG-118155Change-Id: Ia0e53015c0a24b571523b080a205da0da8b04415

#3 - 2023-05-23 19:32 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-23

- Root cause set to 异常情况下页面上下文丢失导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

异常情况下页面上下文丢失导致。

■ Next action

测试验证。

#4 - 2023-06-01 10:42 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0106

6.1

验证通过

#5 - 2023-06-01 10:42 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
